Subject: bug#27668: 26.0.50; Crash with display-line-numbers t

From: Robert Pluim <[email-masked]>
Date: Fri, 14 Jul 2017 17:07:17 +0200

Robert Pluim <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> From: Robert Pluim <[email-masked]>
>>> Would you like me to try an unoptimised build? CFLAGS=-O0 -ggdb or
>>> similar?
>>
>> It cannot hurt, so please do.  Maybe this will give some valuable
>> hints.  (Please use "-gdwarf-4 -g3" instead of -ggdb, it should
>> provide a better debug info.)  Btw, I already did an optimized build,
>> but was unable to reproduce the problem there as well.
>>
>
> I'll try that next, I think you're on the right track.
>

Two more data points:

- building with CFLAGS='-gdwarf-4 -g3 -O0' results in an emacs that I
can't get to crash
- building with default CFLAGS='-g3 -O2', but using the previous
system compiler also results in an emacs that I can't crash. That one
reports:

$ gcc-4.9 -v
Using built-in specs.
COLLECT_GCC=gcc-4.9
COLLECT_LTO_WRAPPER=/usr/lib/gcc/x86_64-linux-gnu/4.9/lto-wrapper
Target: x86_64-linux-gnu
Thread model: posix
gcc version 4.9.3 (Ubuntu 4.9.3-13ubuntu2) 

Regards

Robert